function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
import React from 'react';
import flags from './components/flags';
import { Box, Typography } from '../../index';
import { Display } from '../../common/Display';
import { Flag } from './Flag';
export default {
  title: 'Atoms / Flag',
  parameters: {
    component: Flag
  }
};
export var DefaultUse = {
  render: function render() {
    return React.createElement(Flag, {
      size: "m",
      country: "SE"
    });
  },
  name: 'Default use'
};
export var InlineStory = {
  render: function render() {
    return React.createElement(React.Fragment, null, "You can put the ", React.createElement(Flag, {
      size: "m",
      inline: true,
      country: "SE"
    }), " directly in the text with inline prop!");
  },
  name: 'Inline'
};
export var RendersNothingIfWrongCountryCode = {
  render: function render() {
    return React.createElement(Flag, {
      size: "l",
      country: "WRONG"
    });
  },
  name: 'Renders nothing if wrong country code'
};
export var AvailableFlags = {
  render: function render() {
    var _Object$keys;
    return React.createElement(Display, {
      items: [{
        title: 'Sizes',
        component: React.createElement("div", {
          style: {
            display: 'flex',
            justifyContent: 'space-evenly',
            alignItems: 'center'
          }
        }, React.createElement("div", null, "s (12px)"), React.createElement("div", null, "m (16px)"), React.createElement("div", null, "l (24px)"))
      }].concat(_toConsumableArray((_Object$keys = Object.keys(flags)) === null || _Object$keys === void 0 ? void 0 : _Object$keys.map(function (flagName) {
        return {
          title: flagName,
          component: React.createElement("div", {
            style: {
              display: 'flex',
              justifyContent: 'space-evenly',
              alignItems: 'center'
            }
          }, React.createElement(Flag, {
            size: "s",
            country: flagName
          }), React.createElement(Flag, {
            size: "m",
            country: flagName
          }), React.createElement(Flag, {
            size: "l",
            country: flagName
          }))
        };
      })))
    });
  },
  name: 'Available flags'
};
export var WithBorder = {
  render: function render() {
    return React.createElement(React.Fragment, null, React.createElement(Box, {
      p: 4
    }, React.createElement(Flag, {
      size: "m",
      country: "fi"
    }), React.createElement(Typography, {
      type: "secondary"
    }, "Notice flag does not have border on dark mode")));
  },
  name: 'Only Border On Light Mode'
};